Module
Contents
Index 🔎︎

# InStrRev Function [VBA]

Returns the position of a string within another string, starting from the right side of the string.

This function or constant is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

The InStrRev function returns the position at which the match was found, from the right. If the string was not found, the function returns 0.

## Syntax:

    InStrRev (Text1 As String, Text2 As String [,Start As Long] [, Compare As Integer])

## Return value:

Long

## Parameters:

Text1: The string expression that you want to search.

Text2: The string expression that you want to search for.

Start: Optional numeric expression that marks the position from the left in a string where the search for the specified substring starts. If you omit this parameter, the search starts at the last character of the string. The maximum allowed value is 65535.

Compare: Optional numeric expression that defines the type of comparison. The value of this parameter can be

1: The default value of 1 specifies a text comparison that is not case-sensitive.

0: The value of 0 specifies a binary comparison that is case-sensitive.

To avoid a run-time error, do not set the Compare parameter if the first return parameter is omitted.

## 錯誤代碼：

5 無效的程序呼叫

## Example:

    Sub ExamplePosition

    Dim sInput As String

    Dim iPos As Integer

     sInput = "The book is on the table"

     iPos = InStrRev(sInput,"the",10,1) ' Returns 1, search is case-insensitive

     Print iPos

     iPos = InStrRev(sInput,"the",10,0) ' Returns 0, search is case-sensitive

     Print iPos

    End Sub

相關主題

InStr